on: [push]

name: Build Pure Rust

jobs:
  build:
    strategy:
      fail-fast: false
      matrix:
        features:
          - ""
          - "python"
          - "default"
          - "default,romfs"
          - "image"
          - "image,python"
          - "compression"
          - "compression,python"
          - "map_bg"
          - "map_bg,python"
          - "kao"
          - "kao,python"
          - "map_bg,kao"
          - "map_bg,kao,python"
          - "misc_graphics"
          - "misc_graphics,python"
          - "dungeon_graphics"
          - "dungeon_graphics,python"
          - "strings"
          - "strings,python"
          - "dse"
          - "dse,python"
          - "mappa_bin"
          - "mappa_bin,python"
          - "md"
          - "md,python"
          - "item_p"
          - "item_p,python"
          - "waza_p"
          - "waza_p,python"
          - "romfs"
          - "sir0"
          - "strings,map_bg,kao,python,python,with_pmd_wan,dse,dungeon_graphics,misc_graphics,romfs,sir0"
    name: Build
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - uses: actions-rs/toolchain@v1
        with:
          toolchain: nightly
          override: true
      - uses: actions-rs/cargo@v1
        with:
          command: build
          args: --release --no-default-features --features=${{ matrix.features }}
